Create a chat
curl --request POST \
--url https://api.eu.blackmountain.io/v1/chats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Q4 supplier review",
"model": "claude-sonnet-4-5",
"assistantId": "asst_7Hq2kLm9"
}
'import requests
url = "https://api.eu.blackmountain.io/v1/chats"
payload = {
"title": "Q4 supplier review",
"model": "claude-sonnet-4-5",
"assistantId": "asst_7Hq2kLm9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Q4 supplier review',
model: 'claude-sonnet-4-5',
assistantId: 'asst_7Hq2kLm9'
})
};
fetch('https://api.eu.blackmountain.io/v1/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.blackmountain.io/v1/chats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Q4 supplier review',
'model' => 'claude-sonnet-4-5',
'assistantId' => 'asst_7Hq2kLm9'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eu.blackmountain.io/v1/chats"
payload := strings.NewReader("{\n \"title\": \"Q4 supplier review\",\n \"model\": \"claude-sonnet-4-5\",\n \"assistantId\": \"asst_7Hq2kLm9\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eu.blackmountain.io/v1/chats")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Q4 supplier review\",\n \"model\": \"claude-sonnet-4-5\",\n \"assistantId\": \"asst_7Hq2kLm9\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.blackmountain.io/v1/chats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Q4 supplier review\",\n \"model\": \"claude-sonnet-4-5\",\n \"assistantId\": \"asst_7Hq2kLm9\"\n}"
response = http.request(request)
puts response.read_body{
"id": "chat_9Xk2Pq7w",
"title": "Q4 supplier review",
"model": "claude-sonnet-4-5",
"assistantId": null,
"pinned": false,
"archived": false,
"createdAt": "2026-10-27T09:12:44Z",
"updatedAt": "2026-10-27T09:14:02Z"
}{
"error": {
"code": "invalid_request",
"message": "`content` is required."
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key."
}
}Chats
Chat erstellen
Creates an empty chat. Send the first message with Send a message.
POST
/
chats
Create a chat
curl --request POST \
--url https://api.eu.blackmountain.io/v1/chats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Q4 supplier review",
"model": "claude-sonnet-4-5",
"assistantId": "asst_7Hq2kLm9"
}
'import requests
url = "https://api.eu.blackmountain.io/v1/chats"
payload = {
"title": "Q4 supplier review",
"model": "claude-sonnet-4-5",
"assistantId": "asst_7Hq2kLm9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Q4 supplier review',
model: 'claude-sonnet-4-5',
assistantId: 'asst_7Hq2kLm9'
})
};
fetch('https://api.eu.blackmountain.io/v1/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.blackmountain.io/v1/chats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Q4 supplier review',
'model' => 'claude-sonnet-4-5',
'assistantId' => 'asst_7Hq2kLm9'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eu.blackmountain.io/v1/chats"
payload := strings.NewReader("{\n \"title\": \"Q4 supplier review\",\n \"model\": \"claude-sonnet-4-5\",\n \"assistantId\": \"asst_7Hq2kLm9\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eu.blackmountain.io/v1/chats")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Q4 supplier review\",\n \"model\": \"claude-sonnet-4-5\",\n \"assistantId\": \"asst_7Hq2kLm9\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.blackmountain.io/v1/chats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Q4 supplier review\",\n \"model\": \"claude-sonnet-4-5\",\n \"assistantId\": \"asst_7Hq2kLm9\"\n}"
response = http.request(request)
puts response.read_body{
"id": "chat_9Xk2Pq7w",
"title": "Q4 supplier review",
"model": "claude-sonnet-4-5",
"assistantId": null,
"pinned": false,
"archived": false,
"createdAt": "2026-10-27T09:12:44Z",
"updatedAt": "2026-10-27T09:14:02Z"
}{
"error": {
"code": "invalid_request",
"message": "`content` is required."
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key."
}
}Autorisierungen
Your 48° API key, for example bm_live_...
Body
application/json
Chat title. If omitted, 48° generates one from the first message.
Beispiel:
"Q4 supplier review"
Model ID from List models. Defaults to your organization's default model.
Beispiel:
"claude-sonnet-4-5"
Run the chat with this assistant's instructions and files
Beispiel:
"asst_7Hq2kLm9"
Antwort
The new chat
Beispiel:
"chat_9Xk2Pq7w"
Beispiel:
"Q4 supplier review"
Beispiel:
"claude-sonnet-4-5"
Beispiel:
null
Beispiel:
false
Beispiel:
false
Beispiel:
"2026-10-27T09:12:44Z"
Beispiel:
"2026-10-27T09:14:02Z"
War diese Seite hilfreich?

